tap_networking_module 0.0.1

tap_networking_module #

A new Flutter package.

Getting Started #

This project is a starting point for a Dart package, a library module containing code that can be shared easily across multiple Flutter or Dart projects.

For help getting started with Flutter, view our online documentation, which offers tutorials, samples, guidance on mobile development, and a full API reference.

This is networking module for tap.

[0.0.1] - TODO: Add release date.

  • TODO: Describe initial release.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  tap_networking_module: ^0.0.1

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:tap_networking_module/tap_networking_module.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
0
Health:
Code health derived from static analysis. [more]
99
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
40
Overall:
Weighted score of the above. [more]
38
Learn more about scoring.

We analyzed this package on Aug 22, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.4.0
  • pana: 0.12.19
  • Flutter: 1.7.8+hotfix.4

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Health suggestions

Fix lib/tap_networking_module.dart. (-1 points)

Analysis of lib/tap_networking_module.dart reported 2 hints:

line 9 col 17: Name non-constant identifiers using lowerCamelCase.

line 10 col 17: Name non-constant identifiers using lowerCamelCase.

Format lib/File.dart.

Run flutter format to format lib/File.dart.

Maintenance issues and suggestions

Make sure dartdoc successfully runs on your package's source files. (-10 points)

exitCode: 255 stdout: parsing /tmp/pub-dartlang-dartdocTBTWLM/pkg/lib/tap_networking_module.dart... parsing /tmp/pub-dartlang-dartdocTBTWLM/pkg/lib/File.dart... parsing /flutter/bin/cache/pkg/sky_engine/lib/collection/collection.dart... parsing /flutter/bin/cache/pkg/sky_engine/lib/developer/developer.dart... parsing /flutter/bin/cache/pkg/sky_engine/lib/internal/internal.dart... parsing /flutter/bin/cache/pkg/sky_engine/lib/io/io.dart... parsing /flutter/bin/cache/pkg/sky_engine/lib/isolate/isolate.dart... parsing /flutter/bin/cache/pkg/sky_engine/lib/async/async.dart... parsing /flutter/bin/cache/pkg/sky_engine/lib/convert/convert.dart... parsing /flutter/bin/cache/pkg/sky_engine/lib/typed_data/typed_data.dart... parsing /flutter/bin/cache/pkg/sky_engine/lib/_empty.dart... parsing /flutter/bin/cache/pkg/sky_engine/lib/math/math.dart... parsing /flutter/bin/cache/pkg/sky_engine/lib/core/core.dart... parsing /flutter/bin/cache/pkg/sky_engine/lib/_http/http.dart... parsing /flutter/bin/cache/pkg/sky_engine/lib/ui/ui.dart... parsing /tmp/pub-cache-dirMJIOAF/hosted/pub.dartlang.org/http-0.12.0+2/lib/http.dart... parsing /tmp/pub-cache-dirMJIOAF/hosted/pub.dartlang.org/http-0.12.0+2/lib/src/client.dart... parsing /tmp/pub-cache-dirMJIOAF/hosted/pub.dartlang.org/http-0.12.0+2/lib/src/base_client.dart... parsing /tmp/pub-cache-dirMJIOAF/hosted/pub.dartlang.org/http-0.12.0+2/lib/src/base_request.dart... parsing /tmp/pub-cache-dirMJIOAF/hosted/pub.dartlang.org/http-0.12.0+2/lib/src/byte_stream.dart... [...] parsing /tmp/pub-cache-dirMJIOAF/hosted/pub.dartlang.org/async-2.3.0/lib/src/stream_sink_transformer.dart... parsing /tmp/pub-cache-dirMJIOAF/hosted/pub.dartlang.org/async-2.3.0/lib/src/stream_sink_transformer/handler_transformer.dart... parsing /tmp/pub-cache-dirMJIOAF/hosted/pub.dartlang.org/async-2.3.0/lib/src/stream_sink_transformer/stream_transformer_wrapper.dart... parsing /tmp/pub-cache-dirMJIOAF/hosted/pub.dartlang.org/async-2.3.0/lib/src/stream_sink_transformer/typed.dart... parsing /tmp/pub-cache-dirMJIOAF/hosted/pub.dartlang.org/async-2.3.0/lib/src/result/future.dart... parsing /tmp/pub-cache-dirMJIOAF/hosted/pub.dartlang.org/async-2.3.0/lib/src/single_subscription_transformer.dart... parsing /tmp/pub-cache-dirMJIOAF/hosted/pub.dartlang.org/async-2.3.0/lib/src/stream_group.dart... parsing /tmp/pub-cache-dirMJIOAF/hosted/pub.dartlang.org/async-2.3.0/lib/src/stream_queue.dart... parsing /tmp/pub-cache-dirMJIOAF/hosted/pub.dartlang.org/async-2.3.0/lib/src/subscription_stream.dart... parsing /tmp/pub-cache-dirMJIOAF/hosted/pub.dartlang.org/async-2.3.0/lib/src/stream_splitter.dart... parsing /tmp/pub-cache-dirMJIOAF/hosted/pub.dartlang.org/async-2.3.0/lib/src/stream_sink_completer.dart... parsing /tmp/pub-cache-dirMJIOAF/hosted/pub.dartlang.org/async-2.3.0/lib/src/stream_subscription_transformer.dart... parsing /tmp/pub-cache-dirMJIOAF/hosted/pub.dartlang.org/async-2.3.0/lib/src/stream_zip.dart... parsing /tmp/pub-cache-dirMJIOAF/hosted/pub.dartlang.org/async-2.3.0/lib/src/typed_stream_transformer.dart... parsing /tmp/pub-cache-dirMJIOAF/hosted/pub.dartlang.org/http-0.12.0+2/lib/src/mock_client.dart... parsing /tmp/pub-cache-dirMJIOAF/hosted/pub.dartlang.org/http-0.12.0+2/lib/src/browser_client.dart... parsing /tmp/pub-cache-dirMJIOAF/hosted/pub.dartlang.org/pedantic-1.8.0+1/lib/pedantic.dart... Initialized dartdoc with 158 libraries in 29.8 seconds documenting tap_networking_module Generating docs for library File from package:tap_networking_module/File.dart... stderr: Documenting tap_networking_module... warning: private API of package:Dart is reexported by libraries in other packages: from E: (file:///flutter/bin/cache/pkg/sky_engine/lib/collection/collections.dart:11:28) referred to by collection: (file:///tmp/pub-cache-dirMJIOAF/hosted/pub.dartlang.org/collection-1.14.11/lib/collection.dart) referred to by dart.pkg.collection.wrappers: (file:///tmp/pub-cache-dirMJIOAF/hosted/pub.dartlang.org/collection-1.14.11/lib/wrappers.dart:7:9) warning: private API of package:Dart is reexported by libraries in other packages: from K: (file:///flutter/bin/cache/pkg/sky_engine/lib/collection/maps.dart:372:27) referred to by collection: (file:///tmp/pub-cache-dirMJIOAF/hosted/pub.dartlang.org/collection-1.14.11/lib/collection.dart) referred to by dart.pkg.collection.wrappers: (file:///tmp/pub-cache-dirMJIOAF/hosted/pub.dartlang.org/collection-1.14.11/lib/wrappers.dart:7:9) warning: private API of package:Dart is reexported by libraries in other packages: from V: (file:///flutter/bin/cache/pkg/sky_engine/lib/collection/maps.dart:372:30) referred to by collection: (file:///tmp/pub-cache-dirMJIOAF/hosted/pub.dartlang.org/collection-1.14.11/lib/collection.dart) referred to by dart.pkg.collection.wrappers: (file:///tmp/pub-cache-dirMJIOAF/hosted/pub.dartlang.org/collection-1.14.11/lib/wrappers.dart:7:9) Unhandled exception: RangeError (start): Invalid value: Only valid value is 0: 1 #0 _StringBase.indexOf (dart:core-patch/string_patch.dart:333:7) #1 String.indexOf (dart:core-patch/string_patch.dart:1028:18) #2 _createLineNumbersMap (package:dartdoc/src/line_number_cache.dart:30:23) #3 LineNumberCache.lineAndColumn.

Support latest dependencies. (-10 points)

The version constraint in pubspec.yaml does not support the latest published versions for 1 dependency (json_serializable).

The package description is too short. (-20 points)

Add more detail to the description field of pubspec.yaml. Use 60 to 180 characters to describe the package, what it does, and its target use case.

Maintain an example. (-10 points)

Create a short demo in the example/ directory to show how to use this package.

Common filename patterns include main.dart, example.dart, and tap_networking_module.dart. Packages with multiple examples should provide example/README.md.

For more information see the pub package layout conventions.

Package is pre-v0.1 release. (-10 points)

While nothing is inherently wrong with versions of 0.0.*, it might mean that the author is still experimenting with the general direction of the API.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.1.0 <3.0.0
cupertino_icons ^0.1.2 0.1.2
flutter 0.0.0
http ^0.12.0+2 0.12.0+2
json_serializable ^2.0.0 2.3.0 3.2.2
Transitive dependencies
analyzer 0.36.4 0.38.1
args 1.5.2
async 2.3.0
build 1.1.6
build_config 0.4.1+1
charcode 1.1.2
checked_yaml 1.0.2
collection 1.14.11 1.14.12
convert 2.1.1
crypto 2.1.2
csslib 0.16.1
dart_style 1.2.9 1.2.10
front_end 0.1.19 0.1.23
glob 1.1.7
html 0.14.0+2
http_parser 3.1.3
json_annotation 2.3.0 3.0.0
kernel 0.3.19 0.3.23
logging 0.11.3+2
meta 1.1.6 1.1.7
package_config 1.1.0
path 1.6.4
pedantic 1.8.0+1
pub_semver 1.4.2
pubspec_parse 0.1.5
sky_engine 0.0.99
source_gen 0.9.4+4
source_span 1.5.5
string_scanner 1.0.5
term_glyph 1.1.0
typed_data 1.1.6
vector_math 2.0.8
watcher 0.9.7+12
yaml 2.1.16
Dev dependencies
flutter_test